Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  drsicht mit aktueller Ansicht zoomen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   drsicht mit aktueller Ansicht zoomen (2512 mal gelesen)
cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1817
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 08. Aug. 2011 16:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Bin hier nicht richtig fündig geworden. Und zwar kann ich mit drsicht immer auf die aktuelle Draufsicht vom BKS stellen, dabei wird aber immer zoom extent angewendet - ich möchte gern den aktuellen Zoomausschnitt beibehalten. Gibt es da einen Trick?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RL13
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Bauwesen


Sehen Sie sich das Profil von RL13 an!   Senden Sie eine Private Message an RL13  Schreiben Sie einen Gästebucheintrag für RL13

Beiträge: 2373
Registriert: 23.10.2008

Civil 3D 2018.1
Civil 3D 2016 64 Bit SP 3
mit DACH und Extensions
W7 Professional 64Bit
HP Z440
Intel Xeon CPU E5-1620 v4
32 GB RAM
NVIDIA Quadro P4000

erstellt am: 08. Aug. 2011 17:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Hallo,

geht meiner Meinung nach nur über benannte Ansichten.
Die kannst du per lisp aufrufen oder alternativ über MuFu-Leiste Ansicht oder alt über die Symbolleiste Ansicht.

mfg Roman

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1817
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 09. Aug. 2011 09:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hier[URL=ww3.cad.de/foren/ubb/For[URL=um54/HTML/012098.shtml#000003][/URL]

bin hier fündig geworden - Danke Marc

[Diese Nachricht wurde von cadplayer am 09. Aug. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadplayer
Ehrenmitglied
CADniker


Sehen Sie sich das Profil von cadplayer an!   Senden Sie eine Private Message an cadplayer  Schreiben Sie einen Gästebucheintrag für cadplayer

Beiträge: 1817
Registriert: 28.04.2009

Windows 10
64bit system
Autocad Civil3d 2017 ENGLISH
Visual Studio 2015
OpenDCL.Runtime.8

erstellt am: 09. Aug. 2011 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Nur zu meinem Verständnis würde mich interessieren, wie der Code arbeitet


Code:

(defun c: planb ()                     ; Eingabe planb ergibt T
  (xplan T)
  (princ)
  )
(defun c: planw ()                     ; Eingabe planw ergibt nil
  (xplan nil)
  (princ)
  )

;;; Xplan ruft den AutoCAD Befehl
;;; "_.plan" für BKS oder WKS auf
;;; Übergabeparameter T = BKS, nil = WKS
(defun XPLAN (FLAG /)                    
  (setq VCTR  (getvar "viewctr")
VSIZE (getvar "viewsize")
) ;_ end setq
  (if FLAG                                
    (command "_.plan" "_c")               ; wenn das Argument FLAG T ist führe (command "_.plan" "_c") aus
    (command "_.plan" "_w")               ; wenn das Argument FLAG nil ist führe (command "_.plan" "_w") aus
  ) ;_ end if
  (command "_.zoom" "_c" VCTR VSIZE)      ; zoom Ausschnitt
  (princ "\nOK, erledigt...")
) ;_ end defun



[Diese Nachricht wurde von cadplayer am 09. Aug. 2011 editiert.]

[Diese Nachricht wurde von cadplayer am 09. Aug. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

autocart
Mitglied
Technischer Redakteur


Sehen Sie sich das Profil von autocart an!   Senden Sie eine Private Message an autocart  Schreiben Sie einen Gästebucheintrag für autocart

Beiträge: 695
Registriert: 08.09.2003

erstellt am: 29. Aug. 2011 14:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Hi cadplayer!

Bin gerade über deinen Beitrag gestolpert.

Hast du noch fragen zum Code oder ist inzwischen alles klar?

------------------
Gruß, Stephan
www.stbartl.at

"Alles sollte so einfach wie möglich gemacht werden, aber nicht einfacher." - Albert Einstein

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Ingenieur (m/w/d), Bachelor / Master of Engineering für die Haus-, Versorgungs- oder Energietechnik oder artverwandte Fachrichtung

Wir sind ein, seit 1972, beratendes Ingenieurunternehmen auf dem Gebiet der Technischen Gebäudeausrüstung und konzeptionieren und realisieren komplexe Baumaßnahmen in den unterschiedlichen Tätigkeitsfeldern bei Neu- und Umbauprojekten.


Aufgabe ist die Fachplanung auf dem Gebiet der Heizungs-, Lüftungs- Kälte-, Klima- und Sanitärtechnik sowie der Gebäudeautomation unter Einhaltung der vereinbarten Qualitäten und Standards....

Anzeige ansehenBauwesen
nebuCADnezzar
Mitglied



Sehen Sie sich das Profil von nebuCADnezzar an!   Senden Sie eine Private Message an nebuCADnezzar  Schreiben Sie einen Gästebucheintrag für nebuCADnezzar

Beiträge: 211
Registriert: 17.10.2007

AutoCAD 2019
Mechanical 2019
Inventor 2019
64 bit Win 7
Intel Xeon 3.6 GHz 4 Kern
16 GB Ram
NVIDIA Quadro K2000

erstellt am: 17. Feb. 2012 11:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadplayer 10 Unities + Antwort hilfreich

Hallo

Ich hatte das selbe anliegen und konnte mir mit viel hilfe dieses hier bauen:

(defun c:afd (/ en drehb dreh)
 

  (setq en (car (entsel "\nObjekt wählen: ")))
  (princ en)
  (setq drehb (cdr (assoc 50 (entget en))))
  (princ drehb)
  (setq dreh (- 360 (* drehb (/ 180 pi))))
  (princ dreh)
  (command "_.dview" en "" "_twist" dreh "")

)


gruss robin

------------------
...glaubst das ist luft die du gerade atmest? in diesem raum...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz